## pycifrw 4.4

=== debian/changelog ===
pycifrw (4.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrius Merkys ]
  * Replacing dependency on python3-dev -> python3-all-dev.
  * Bumping debhelper compat level (no changes).
  * Bumping Standards Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 18 Nov 2019 01:08:43 -0500

pycifrw (4.4-1) unstable; urgency=medium

  * Initial release (Closes: #931602)

 -- Andrius Merkys <merkys@debian.org>  Thu, 11 Apr 2019 07:29:53 -0400

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycifrw

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES

=== debian/watch ===
version=4
https://bitbucket.org/jamesrhester/pycifrw/downloads/ \
 PyCifRW-([\d\.]+)\.tar\.gz

## pycifrw 4.4.4

=== Makefile ===
#binary_sources = src2/lib/lex.yy.c src2/lib/star_scanner.h src2/lib/py_star_scan.c \
#                 src3/lib/lex.yy.c src3/lib/star_scanner.h src3/lib/py_star_scan.c

all: package documentation
#
package: lib setup.py sources drel
	python setup.py sdist
	python3 setup.py sdist
	python setup.py bdist_wheel
	python3 setup.py bdist_wheel
#
documentation:
	$(MAKE) -C docs
#
sources:
	$(MAKE) -C src
#
drel:
	$(MAKE) -C src/drel
#
lib:
	$(MAKE) -C src/lib
#
clean:
	$(MAKE) -C src/lib clean

=== docs/Makefile ===
# make documentation
docs: overview.txt drel_use.txt dict_use.txt
	./pdoc-local --html --overwrite CifFile '[A-Z].*'
	pandoc -f markdown -o overview.html --css markdown4.css -s overview.txt
	pandoc -f markdown -o drel_use.html --css markdown4.css -s drel_use.txt
	pandoc -f markdown -o dict_use.html --css markdown4.css -s dict_use.txt

=== src/Makefile ===
# Makefile for Python based Cif handling modules

# Customizable variables:
#
# Instance of Python to be used for the yapps2.py script.
PYTHON = python2

package: CifFile_module.py StarFile.py Parsers documentation
#
%.py : %.nw
	notangle $< > $@
#
documentation: CifFile_module.nw YappsStarParser.nw StarFile.nw
	noweave -html -index -filter l2h CifFile_module.nw > CifFile.html
	noweave -html -index -filter l2h StarFile.nw > StarFile.html
	noweave -html -index -filter l2h YappsStarParser.nw > YappsStarParser.html
	noweave -html -index -filter l2h TypeContentsParser.nw > TypeContentsParser.html
#
Parsers: YappsStarParser_STAR2.py YappsStarParser_1_1.py YappsStarParser_1_0.py  TypeContentsParser.py \
	YappsStarParser_2_0.py

#
clean:
	rm -f *.pyc *.g
	rm -f YappsStarParser_*.py TypeContentsParser.py

# Local helper variables:
#
# Command to execute the yapps2.py script.  Note it sets the PYTHONPATH
# environment variable as yapps requires its runtime to run.
YAPPS2CMD = PYTHONPATH=. $(PYTHON) ./yapps3/yapps2.py

YappsStarParser_1_0.py: YappsStarParser.nw
	notangle -R1.0_syntax YappsStarParser.nw > YappsStarParser_1_0.g
	$(YAPPS2CMD) YappsStarParser_1_0.g
#
YappsStarParser_1_1.py: YappsStarParser.nw
	notangle -R1.1_syntax YappsStarParser.nw > YappsStarParser_1_1.g
	$(YAPPS2CMD) YappsStarParser_1_1.g
#
YappsStarParser_2_0.py: YappsStarParser.nw
	notangle -RCIF2_syntax YappsStarParser.nw > YappsStarParser_2_0.g
	$(YAPPS2CMD) YappsStarParser_2_0.g
#
YappsStarParser_STAR2.py: YappsStarParser.nw
	notangle -RSTAR2_syntax YappsStarParser.nw > YappsStarParser_STAR2.g
	$(YAPPS2CMD) YappsStarParser_STAR2.g
#
TypeContentsParser.py: TypeContentsParser.nw
	notangle -RTypeContents_syntax TypeContentsParser.nw > TypeContentsParser.g
	$(YAPPS2CMD) TypeContentsParser.g

=== debian/changelog ===
pycifrw (4.4.4-3) unstable; urgency=medium

  * Team upload.
  * d/control: add b-d on pytest to force tests to run via something other
    than the deprecated "python3 setup.py test" command.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 03 Dec 2022 14:47:22 -0500

pycifrw (4.4.4-2) unstable; urgency=medium

  * Fix compatibility with Python 3.11 (Closes: #1024035).
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Nov 2022 08:30:48 -0500

pycifrw (4.4.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Andrius Merkys ]
  * Watching git tags on Bitbucket.
  * New upstream version 4.4.4
  * Adding build time tests and autopkgtest.
  * python3-pycifrw depends on python3-ply and python3-numpy (Closes: #1001386).

 -- Andrius Merkys <merkys@debian.org>  Thu, 16 Dec 2021 01:53:04 -0500

=== debian/control ===
Source: pycifrw
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 noweb,
 python3-all,
 python3-all-dev,
 python3-numpy <!nocheck>,
 python3-pytest <!nocheck>,
 python3-ply <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://bitbucket.org/jamesrhester/pycifrw
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycifrw
Vcs-Git: https://salsa.debian.org/python-team/packages/pycifrw.git
Testsuite: autopkgtest-pkg-python

Package: python3-pycifrw
Architecture: any
Depends:
 python3-numpy,
 python3-ply,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: CIF/STAR file support for Python
 PyCIFRW provides support for reading and writing CIF (Crystallographic
 Information Format) files using Python.
 .
 The specifications found in Vol G of the International Tables for
 Crystallography were used as a reference for CIF 1.0/1.1 syntax.
 http://dx.doi.org/10.1107/S1600576715021871 was used as the CIF 2.0
 reference.
XS-Python-Version: ${python3:Versions}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycifrw
export PYBUILD_TEST_ARGS=-v TestPyCIFRW.py

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	$(MAKE) --directory src PYTHON=python3
	$(MAKE) --directory src/drel
	dh_auto_build

override_dh_auto_test:
	cp dictionaries/ddl.dic tests
	dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES

override_dh_auto_clean:
	dh_auto_clean
	rm -rf PyCifRW.egg-info

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none" \
https://bitbucket.org/jamesrhester/pycifrw \
 refs/tags/@ANY_VERSION@

## pycifrw 4.4.6

=== src/drel/Makefile ===
# Makefile for ANBF Python based Cif handling modules

#
package: py_from_ast.py drel_runtime.py
#
%.py : %.nw
	notangle $< > $@
#
documentation: py_from_ast.nw 
	noweave -html -index -filter l2h py_from_ast.nw > py_from_ast.html
# 
clean: 
	rm -f *.pyc
#

=== src/lib/Makefile ===
lex.yy.c: star.l
	flex --nounistd star.l
#
clean:
	rm -f lex.yy.c
	rm -f py_star_scan.o

=== debian/changelog ===
pycifrw (4.4.6-4build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:24:47 +0000

pycifrw (4.4.6-4build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:55:19 +0000

pycifrw (4.4.6-4) unstable; urgency=medium

  * Team Upload
  * Add dependency on python3-legacy-cgi (Closes: #1084712)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Nov 2024 23:05:47 +0100

pycifrw (4.4.6-3) unstable; urgency=medium

  * Fix SyntaxWarning during package installation by applying upstream patch
    (Closes: #1040274)

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Jun 2024 02:07:49 -0400

pycifrw (4.4.6-2) unstable; urgency=medium

  * Replace deprecated failUnless with assertTrue via a patch
    (Closes: #1055701)
  * Update standards version to 4.6.2, no changes needed.
  * Switch to 'Testsuite: autopkgtest-pkg-pybuild'.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 04:21:07 -0500

pycifrw (4.4.6-1) unstable; urgency=medium

  * Watch GitHub tags.
  * New upstream version 4.4.6
  * Drop fix-ply-incompatibility.patch: integrated upstream.
  * Update homepage, debian/copyright.
  * Simplify debian/rules.
  * Update debian/clean.

 -- Andrius Merkys <merkys@debian.org>  Fri, 17 Nov 2023 04:04:32 -0500

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  noweb,
  python3-all,
  python3-all-dev,
+ python3-legacy-cgi,
  python3-numpy <!nocheck>,
+ python3-ply <!nocheck>,
  python3-pytest <!nocheck>,
- python3-ply <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
-Homepage: https://bitbucket.org/jamesrhester/pycifrw
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/jamesrhester/pycifrw
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycifrw
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycifrw.git
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pycifrw
 Architecture: any
 Depends:
+ python3-legacy-cgi,
  python3-numpy,
  python3-ply,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pycifrw
export PYBUILD_TEST_ARGS=-v TestPyCIFRW.py

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	$(MAKE) drel lib sources PYTHON=python3

override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES

=== debian/tests/control ===
Test-Command: cp dictionaries/ddl.dic tests/ && python3 TestPyCIFRW.py
Depends:
 @,
Restrictions:
 allow-stderr,
 rw-build-tree,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/jamesrhester/pycifrw/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pycifrw 5.0.1+~3.0.13.427.g9e493fc

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 all: package documentation
 #
 package: lib setup.py sources drel
-	python setup.py sdist
 	python3 setup.py sdist
-	python setup.py bdist_wheel
 	python3 setup.py bdist_wheel
 #
 documentation:

=== docs/Makefile ===
# make documentation
docs: overview.txt drel_use.txt dict_use.txt
	pdoc -o . --no-include-undocumented CifFile CifFile.StarFile CifFile.drel !CifFile.Yapps
	pandoc -f markdown -o overview.html --css markdown4.css -s overview.txt
	pandoc -f markdown -o drel_use.html --css markdown4.css -s drel_use.txt
	pandoc -f markdown -o dict_use.html --css markdown4.css -s dict_use.txt

clean:
	rm -rf CifFile overview.html drel_use.html dict_use.html

=== src/Makefile ===
# Makefile for Python based Cif handling modules

# Customizable variables:
#
# Instance of Python to be used for the yapps2.py script.
PYTHON = python3
# Local helper variables:
#
# Command to execute the yapps2.py script.  Note it sets the PYTHONPATH
# environment variable as yapps requires our modified runtime to run.
YAPPS2CMD = PYTHONPATH=. $(PYTHON) -X utf8 ./yapps3/yapps2.py

package: CifFile_module.py StarFile.py Parsers
#
#%.py : %.nw
#	nountangle -awk $< > $@
#
%.py : %.g
	$(YAPPS2CMD) $<

Parsers: YappsStarParser_STAR2.py YappsStarParser_1_1.py YappsStarParser_1_0.py  TypeContentsParser.py \
	YappsStarParser_2_0.py

#
clean:
	rm -f *.pyc
	rm -f YappsStarParser_*.py TypeContentsParser.py

=== debian/changelog ===
pycifrw (5.0.1+~3.0.13.427.g9e493fc-3) unstable; urgency=medium

  * Drop outdated manually built autopkgtest in favor of
    autopkgtest-pkg-pybuild.
  * Copy dictionaries in PYBUILD_BEFORE_TEST thus fixing the autopkgtest.

 -- Andrius Merkys <merkys@debian.org>  Fri, 14 Nov 2025 03:29:44 -0500

pycifrw (5.0.1+~3.0.13.427.g9e493fc-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 04 Nov 2025 03:05:36 -0500

pycifrw (5.0.1+~3.0.13.427.g9e493fc-1) experimental; urgency=medium

  * New upstream version 5.0.1+~3.0.13.427.g9e493fc

 -- Andrius Merkys <merkys@debian.org>  Mon, 03 Nov 2025 02:52:24 -0500

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pycifrw
export PYBUILD_TEST_ARGS = -v TestPyCIFRW.py -v TestDrel.py
export PYBUILD_BEFORE_TEST = cp TestDrel.py {build_dir} && cp -r cif-core tests/dictionaries

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_build:
	$(MAKE) sources

override_dh_installchangelogs:
	dh_installchangelogs RELEASENOTES

execute_before_dh_auto_clean:
	rm -rf tests/dictionaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/jamesrhester/pycifrw/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts="mode=git,pgpmode=none,pretty=describe,uversionmangle=s/^v//,component=cif-core" \
 https://github.com/COMCIFS/cif_core \
 HEAD group
